apiVersion: apps/v1
kind: Deployment
metadata:
  name: dev-lms-api-gateway
  namespace: bitsrack-dev
  labels:
    type: dev
    server-type: dev-lms-api-gateway
spec:
  replicas: 1
  selector:
    matchLabels:
      type: dev
      server-type: dev-lms-api-gateway
  template:
    metadata:
      labels:
        type: dev
        server-type: dev-lms-api-gateway
    spec:
      containers:
        - name: dev-lms-api-gateway
          image: registry-harbor.bitsrack.com/dev-lms-api-gateway:$TAG
          resources:
            limits:
              memory: 1Gi
              cpu: "1"
            requests:
              memory: 128Mi
              cpu: "0.5"
      imagePullSecrets:
        - name: imgcred
